<%@page import="java.util.*,java.io.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>   
	<% } %>
	

<HTML>

<%@ include file="/m05bIdioma.inc"%>
	
<head>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
        <link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">		
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
		<title></title>
	<%	String nOrden =(String) session.getAttribute("OTOrden");
		String fEntrada =(String) session.getAttribute("OTFEntrada");
		String hEntrada =(String) session.getAttribute("OTHEntrada");
		String fSalida =(String) session.getAttribute("OTFSalida");
        if (nOrden==null || nOrden.equals("NULL")){
		          nOrden="";
		      }
		String codigo = request.getParameter("Codigo");
		     if (codigo==null || codigo.equals("NULL")) {
		         codigo="";
		     }
		String impRep = request.getParameter("ImpRep");
		session.setAttribute("OTImpRep",impRep);
		
		String mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");
		PrintWriter outMsg= response.getWriter();
		if (mensaje.equals(m05bConstantes.MSG_EXISTE)) {
				outMsg.println("<script>alert(dameAlerta(idioma, 81));</script>");
		}
		outMsg.close();
		
	%>
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma
	var rutaCabecera;	//Camino de migas
	//rutaCabecera = "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='/m05bParqueMovilWar/m05bOrdenesTrabajoJsp.jsp?Codigo=<%=nOrden%>'>\\Ordenes de Trabajo</a>";
    rutaCabecera = "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='/m05bParqueMovilWar/m05bOrdenesTrabajoJsp.jsp?Codigo=<%=nOrden%>'>\\"+'<%=resCM.getString("cmOT")%>'+"</a>";
	rutaCabecera += "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='/m05bParqueMovilWar/m05bVehOrdRepaJsp.jsp?NOrden=<%=nOrden%>'>\\"+'<%=resCM.getString("cmMtoRepEfectuadas")%>'+"</a>";	
    //rutaCabecera += "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='/m05bParqueMovilWar/m05bVehOrdRepaJsp.jsp?NOrden=<%=nOrden%>'>\\"+'<%=resCM.getString("cmMtoPiezas")%>'+"</a>";		
    detActual = '<%=resCM.getString("cmRelPiezas")%>';
    
</SCRIPT>
<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>

<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
		<FORM NAME="formOrdPiezas" METHOD="POST">
				<%
				String Descripcion="", Cantidad="", Cod="", Desc="", Precio="", Total="";
				int contTotal = 0;

				m05bComun comun = new m05bComun();
				StringBuffer sql = new StringBuffer();
                java.sql.Connection conn=null;
                PreparedStatement pstmt = null;
                ResultSet rs = null;
				

				sql.append("SELECT ").append("NVL("+ campoTexto+m05bConstantes.COL_22_DESCRIPCION+","+m05bConstantes.COL_22_DESCRIPCION+")").append(",");
				sql.append(m05bConstantes.COL_23_PIE).append(",");
				sql.append(m05bConstantes.COL_23_DESCRIP).append(",").append(m05bConstantes.COL_23_CANTIDAD);
				sql.append(",").append(m05bConstantes.COL_23_PRECIO).append(",").append(m05bConstantes.COL_23_TOTAL);
				sql.append(" FROM ").append(m05bConstantes.TAB_PIEZAS).append(", ").append(m05bConstantes.TAB_PIEZAREP);
				sql.append(" WHERE ").append(m05bConstantes.COL_23_ORDEN);
				sql.append("='").append(nOrden).append("' AND ").append(m05bConstantes.COL_23_CODIGO);
				sql.append("='").append(codigo).append("'");
				sql.append(" AND ").append(m05bConstantes.COL_22_CODIGO).append(" = ").append(m05bConstantes.COL_23_PIE);
			//	System.out.println(sql);
			%>
					<!--     BOTONERA  -->
				  	<TABLE class="Buscar">
					    <tr>
						  	  <td align="right">
						  	  	<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
						  	  </td>
						<% if (fSalida.equals("")) { %>
						      <td width="10%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
						<% } %>
						</tr>
					  </TABLE>
					  		
				  <TABLE class="general">
						    <tr>
							      <td width="30%" align="left" class="searchTitle"><%= res.getString("etOrden.9")%></td>
							      <td width="70%" align="left" colspan="3" class="searchTitle"><%= res.getString("etOrden.10")%></td>
							</tr>
							<tr>
							      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="NOrden" value='<%=nOrden%>' disabled size="25"/> </td>
							   	  <td align="left" width="10%" ><INPUT class="inputField" TYPE="TEXT" NAME="FEntrada" value='<%=fEntrada%>' disabled size="10"/></td>
							   	  <td align="left" width="10%" ><INPUT class="inputField" TYPE="TEXT" NAME="HEntrada" value='<%=hEntrada%>' disabled size="6" /></td>
								  <td></td>
	  						</tr>
				  </TABLE>
				  <p>
					  		
				  <TABLE class="buscar">
				    <tr>
				      <td align="left" class="inputFieldTitle"><%= res.getString("etOrden.13")%></td>
				      <!--td align="left" class="inputFieldTitle">Descripci&oacute;n</td-->
				      <td align="left" class="inputFieldTitle"><%= res.getString("etOrden.14")%></td>
				      <td align="left" class="inputFieldTitle"><%= res.getString("etOrden.15")%></td>
				      <td align="left" class="inputFieldTitle"><%= res.getString("etOrden.16")%></td>
				    </tr>
				    <%
				        try {
				           if (!nOrden.equals("")){
				           //m05bbBeginSelect(sql.toString());
				           //m05bRS = m05bPStmt.executeQuery();
		                   m05bConexion miConex = new m05bConexion();
                           conn = miConex.getConnection();
                           conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
		                   pstmt = conn.prepareStatement(sql.toString());
		                   rs = pstmt.executeQuery();				           
				           while (rs.next() == true){
				               Desc=rs.getString(1);
				               Cod=rs.getString(2);
				               Descripcion=rs.getString(3)==null?"":rs.getString(3);
				               Cantidad=rs.getString(4)==null?"":rs.getString(4);
				               Precio=rs.getString(5)==null?"":rs.getString(5);
				               Total=rs.getString(6)==null?"":rs.getString(6);
				         %>
				    <tr>
					      <td align="left" class="inputFieldTitleBlank"><A href="JavaScript:fncModificar('<%=Cod%>')"><%=Desc%></A></td>
					      <!--td align="left" class="inputFieldTitleBlank"><%//=Descripcion%></td-->
					      <td align="left" class="inputFieldTitleBlank">
							<input type="hidden" name=<%="Cantidad"+contTotal%> value="<%=""+Cantidad%>"> 
								<script> formatNumero(document.formOrdPiezas.<%="Cantidad"+contTotal%>); </script>
								<script> document.write(document.formOrdPiezas.<%="Cantidad"+contTotal%>.value);</script>
					      <td align="left" class="inputFieldTitleBlank">
							<input type="hidden" name=<%="Precio"+contTotal%> value="<%=""+Precio%>"> 
								<script> formatNumeroDecimal(document.formOrdPiezas.<%="Precio"+contTotal%>,4,2); </script>
								<script> document.write(document.formOrdPiezas.<%="Precio"+contTotal%>.value);</script>
					      </td>
					      <td align="left" class="inputFieldTitleBlank">
							<input type="hidden" name=<%="Total"+contTotal%> value="<%=""+Total%>"> 
								<script> formatNumeroDecimal(document.formOrdPiezas.<%="Total"+contTotal%>,6,2); </script>
								<script> document.write(document.formOrdPiezas.<%="Total"+contTotal%>.value);</script>
					      </td>
	 				</tr>
				           <%  ++contTotal;
				           }  // Fin while
				    }
				  } catch (Exception ex){
					  m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
				   		miLog.addTraza(ex);
				  } finally {
				   		//m05bEndSelect();
		              if (rs != null)
			              rs.close();
		              if (pstmt != null)
			              pstmt.close();
		              if (conn != null)
			              conn.close();
				   		
				  }
				    %>
					<tr></tr>
					<tr align="center">
					  <td class="inputField" colspan="3">TOTAL: <%=contTotal%></td>
					</tr>
				  </TABLE>
				<input type="hidden" name="Codigo" value="<%=codigo%>">
		</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
<SCRIPT language='javascript'>
		function fncNuevo() {
		       		formOrdPiezas.action="m05bOrdPiezaJsp.jsp?Codigo=<%=codigo%>&Mensaje=false&NOrden=<%=nOrden%>";
		       		formOrdPiezas.submit();
			}
		function fncModificar(codigo) {
		            formOrdPiezas.action="m05bGenerarPiezasRepaServlet?Pieza=" + codigo + "&Codigo=<%=codigo%>&NOrden=<%=nOrden%>";
		            formOrdPiezas.submit();
		    }
		function fncRetornar() {
			   		formOrdPiezas.action="m05bVehOrdRepaJsp.jsp?NOrden=<%=nOrden%>&FEntrada=<%=fEntrada%>&HEntrada=<%=hEntrada%>&FSalida=<%=fSalida%>&Mensaje=false";
		           	formOrdPiezas.submit();
		}
						
    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>